
package com.tmerclub.cloud.api.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author Citrus
 * @date 2021/8/16 9:10
 */
public class SumAmountVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "用户消费笔数")
    private Integer expenseNumber;

    @Schema(description = "用户消费金额")
    private Double sumOfConsumption;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getExpenseNumber() {
        return expenseNumber;
    }

    public void setExpenseNumber(Integer expenseNumber) {
        this.expenseNumber = expenseNumber;
    }

    public Double getSumOfConsumption() {
        return sumOfConsumption;
    }

    public void setSumOfConsumption(Double sumOfConsumption) {
        this.sumOfConsumption = sumOfConsumption;
    }

    @Override
    public String toString() {
        return "SumAmountVO{" +
                "userId=" + userId +
                ", expenseNumber=" + expenseNumber +
                ", sumOfConsumption=" + sumOfConsumption +
                '}';
    }
}
